Page MenuHomePhabricator

Actually (hard) deprecate SearchEngine::transformSearchTerm and remove
Closed, ResolvedPublic0 Estimated Story Points

Description

Follow-up to T198318 where it was soft-deprecated.

Steps

  • Hard deprecate in 1.34
  • Remove in 1.35

Event Timeline

Jdforrester-WMF triaged this task as Lowest priority.Apr 19 2019, 12:13 AM
Jdforrester-WMF created this task.
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 19 2019, 12:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 505269 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] SearchEngine: Hard deprecate SearchEngine::transformSearchTerm()

https://gerrit.wikimedia.org/r/505269

@Jdforrester-WMF, hard deprecation patch up! Can still stop a few places where this is used: https://codesearch.wmflabs.org/search/?q=(%3A%3A%7C-%3E)transformSearchTerm&i=nope&files=&repos=, once they're cleaned up, removal is safe! Thanks

D3r1ck01 claimed this task.Apr 19 2019, 5:45 PM
D3r1ck01 added a project: User-D3r1ck01.
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.

Change 505269 merged by jenkins-bot:
[mediawiki/core@master] SearchEngine: Hard deprecate SearchEngine::transformSearchTerm()

https://gerrit.wikimedia.org/r/505269

Jdforrester-WMF changed the task status from Open to Stalled.May 7 2019, 8:03 PM
Jdforrester-WMF edited projects, added MW-1.35-release; removed Patch-For-Review.

Thank you!

This is now stalled until 1.34.x is cut and so we can land this in MW 1.35.

D3r1ck01 removed D3r1ck01 as the assignee of this task.May 7 2019, 8:11 PM
D3r1ck01 updated the task description. (Show Details)

You're welcome @Jdforrester-WMF, I've removed self as assignee for now but will keep monitoring. I've also updated the task description a little.

D3r1ck01 moved this task from Under Review to Backlog on the User-D3r1ck01 board.May 7 2019, 8:12 PM

Change 509068 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] SearchEngine: Followup on I623b39e7ec791a66c4cf40

https://gerrit.wikimedia.org/r/509068

Change 509068 merged by jenkins-bot:
[mediawiki/core@master] SearchEngine: Followup on I623b39e7ec791a66c4cf40

https://gerrit.wikimedia.org/r/509068

TheSandDoctor added a subscriber: TheSandDoctor.

@Krinkle are we good to remove this now or should we wait a bit longer? If we are good to remove, I'll see about tackling this.

It was already removed, and it was done so in 1.34. It was mistakenly specified as hard-deprecated in 1.32 which is when it was soft-deprecated, and thus confusingly removed too soon within the same cycle.

Change 509589 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] SearchEngine: Remove deprecated unused method transformSearchTerm()

https://gerrit.wikimedia.org/r/509589

Krinkle closed this task as Resolved.Dec 20 2019, 5:54 PM
Krinkle updated the task description. (Show Details)